Hi! Thanks for using the Jupyter Docker Stacks.

Please review the following guidance about how to ask questions, contribute changes, or report bugs in the Docker images maintained here.

1. If you have a general question about using these Docker images or with Jupyter + Docker in general, please post your question in the [Jupyter Discourse Q&A section](https://discourse.jupyter.org/c/questions) so that it can be seen, discussed, and hopefully answered by the community.

2. If you are looking to contribute to the images, please see the [Contributor's Guide](http://jupyter-docker-stacks.readthedocs.io/en/latest/#) in the documentation for our preferred processes.

3. If you are reporting an issue with one of the existing images, please answer the questions below to help us troubleshoot the problem. Please be as thorough as possible.

**What docker image you are using?**

Example: `jupyter/scipy-notebook`

**What complete docker command do you run to launch the container (omitting sensitive values)?**

Example: `docker run -it --rm -p 8889:8888 jupyter/all-spark-notebook:latest`

**What steps do you take once the container is running to reproduce the issue?**

Example:

1. Visit http://localhost:8888
2. Start an R notebook
3. ...

**What do you expect to happen?**

Example: ggplot output appears in my notebook.

**What actually happens?**

Example: No output is visible in the notebook and the notebook server log contains messages about ...
